[gjs/iwyu: 31/34] build: Don't run IWYU if build fails



commit 55e1342e737e6878b8822173ad4b42514ee3d1ec
Author: Philip Chimento <philip chimento gmail com>
Date:   Fri May 15 23:28:30 2020 -0700

    build: Don't run IWYU if build fails
    
    We don't want to bother with the whole static analysis if there is a
    build error that needs to be fixed first.

 tools/run_iwyu.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)
---
diff --git a/tools/run_iwyu.sh b/tools/run_iwyu.sh
index ff3b9996..f4bca812 100755
--- a/tools/run_iwyu.sh
+++ b/tools/run_iwyu.sh
@@ -3,7 +3,10 @@
 SRCDIR=$(pwd)
 
 cd ${BUILDDIR:-_build}
-ninja
+if ! ninja; then
+    echo 'Build failed.'
+    exit 1
+fi
 
 IWYU="iwyu_tool -p ."
 PRIVATE_MAPPING="-Xiwyu --mapping_file=$SRCDIR/tools/gjs-private-iwyu.imp -Xiwyu --keep=config.h"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]